Devuan bug report logs - #367
pulseaudio: /usr/bin/start-pulseaudio-x11 does not start pulseaudio in KDE (on beowulf) patch inside

version graph

Package: pulseaudio; Maintainer for pulseaudio is Dima Krasner <dima@dimakrasner.com>;

Reported by: "Dr. Jan Hauss" <devuan@drhauss.de>

Date: Tue, 14 Jan 2020 13:11:49 UTC

Severity: grave

Tags: beowulf, moreinfo, patch

Merged with 276, 318, 375, 378, 403, 466, 473, 480

Found in version 12.2-4+deb10u1

Done: Mark Hindley <mark@hindley.org.uk>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, devuan@drhauss.de, Dima Krasner <dima@dimakrasner.com>:
bug#367; Package pulseaudio. (Tue, 14 Jan 2020 13:11:49 GMT) (full text, mbox, link).


Acknowledgement sent to "Dr. Jan Hauss" <devuan@drhauss.de>:
New bug report received and forwarded. Copy sent to devuan@drhauss.de, Dima Krasner <dima@dimakrasner.com>. (Tue, 14 Jan 2020 13:11:53 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: "Dr. Jan Hauss" <devuan@drhauss.de>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: pulseaudio: /usr/bin/start-pulseaudio-x11 does not start pulseaudio in KDE (on beowulf) patch inside
Date: Mon, 23 Dec 2019 17:16:46 +0100
[Message part 1 (text/plain, inline)]
Package: pulseaudio
Version: 12.2-4+deb10u1
Severity: normal



-- Package-specific info:
File '/etc/default/pulseaudio' does not exist


-- System Information:
Debian Release: 10.0
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 4.19.0-6-amd64 (SMP w/4 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8), LANGUAGE= (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages pulseaudio depends on:
ii  adduser                      3.118
ii  libasound2                   1.1.8-1
ii  libasound2-plugins           1:1.1.8-dmo1
ii  libc6                        2.28-10
ii  libcap2                      1:2.25-2
ii  libdbus-1-3                  1.12.16-1+devuan2
ii  libelogind0 [libsystemd0]    241.3-1
ii  libeudev1 [libudev1]         3.2.7-6
ii  libgcc1                      1:8.3.0-6
ii  libice6                      2:1.0.9-2
ii  libltdl7                     2.4.6-9
ii  liborc-0.4-0                 1:0.4.28-3.1
ii  libpulse0                    12.2-4+deb10u1
ii  libsm6                       2:1.2.3-1
ii  libsndfile1                  1.0.28-6
ii  libsoxr0                     0.1.2-3
ii  libspeexdsp1                 1.2~rc1.2-1+b2
ii  libstdc++6                   8.3.0-6
ii  libtdb1                      1.3.16-2+b1
ii  libudev1                     1:3.2.7+devuan1.1
ii  libwebrtc-audio-processing1  0.3-1
ii  libx11-6                     2:1.6.7-1
ii  libx11-xcb1                  2:1.6.7-1
ii  libxcb1                      1.13.1-2
ii  libxtst6                     2:1.2.3-1
ii  lsb-base                     10.2019051400
ii  pulseaudio-utils             12.2-4+deb10u1

Versions of packages pulseaudio recommends:
pn  dbus-user-session                <none>
ii  libpam-elogind [libpam-systemd]  241.3-1
ii  rtkit                            0.11-6

Versions of packages pulseaudio suggests:
ii  eudev [udev]  3.2.7-6
pn  paman         <none>
pn  paprefs       <none>
pn  pavucontrol   <none>
pn  pavumeter     <none>
ii  udev          1:3.2.7+devuan1.1

-- no debconf information

Adding a line 
/usr/bin/pulseaudio --start --log-target=syslog
to 
/usr/bin/start-pulseaudio-x11

below

...
set -e

solves the problem that pulseaudio is not running automatically on KDE
beowulf after login in user context.
[client.conf (text/plain, attachment)]
[daemon.conf (text/plain, attachment)]
[default.pa (text/plain, attachment)]
[system.pa (text/plain, attachment)]
[bug-pulseaudio-aplay_-L.8q2SoB (text/plain, attachment)]
[bug-pulseaudio-pactl_list.o1BFlB (text/plain, attachment)]
[bug-pulseaudio-pactl_info.vEUrYN (text/plain, attachment)]

Merged 276 318 367 Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 15 Jan 2020 10:18:06 GMT) (full text, mbox, link).


Added tag(s) beowulf. Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 15 Jan 2020 10:18:06 GMT) (full text, mbox, link).


Merged 276 318 367 375 Request was from Mark Hindley <mark@hindley.org.uk> to 375-submit@bugs.devuan.org. (Wed, 15 Jan 2020 15:48:11 GMT) (full text, mbox, link).


Merged 276 318 367 375 378 Request was from Mark Hindley <mark@hindley.org.uk> to 378-submit@bugs.devuan.org. (Wed, 22 Jan 2020 15:18:02 GMT) (full text, mbox, link).


Merged 276 318 367 375 378 403 Request was from Mark Hindley <mark@hindley.org.uk> to 403-submit@bugs.devuan.org. (Wed, 26 Feb 2020 19:48:03 GMT) (full text, mbox, link).


Merged 276 318 367 375 378 403 Request was from Mark Hindley <mark@hindley.org.uk> to 403-submit@bugs.devuan.org. (Wed, 26 Feb 2020 19:48:09 GMT) (full text, mbox, link).


Merged 276 318 367 375 378 403 Request was from Mark Hindley <mark@hindley.org.uk> to 403-submitter@bugs.devuan.org. (Wed, 26 Feb 2020 19:48:13 GMT) (full text, mbox, link).


Merged 276 318 367 375 378 403 Request was from Mark Hindley <mark@hindley.org.uk> to 403-submitter@bugs.devuan.org. (Wed, 26 Feb 2020 19:48:17 GMT) (full text, mbox, link).


Merged 276 318 367 375 378 403 466 Request was from Mark Hindley <mark@hindley.org.uk> to 466-submit@bugs.devuan.org. (Tue, 19 May 2020 09:03:04 GMT) (full text, mbox, link).


Severity set to 'grave' from 'normal' Request was from Mark Hindley <mark@hindley.org.uk> to 473-submit@bugs.devuan.org. (Fri, 22 May 2020 17:48:05 GMT) (full text, mbox, link).


Added tag(s) patch. Request was from Mark Hindley <mark@hindley.org.uk> to 473-submit@bugs.devuan.org. (Fri, 22 May 2020 17:48:05 GMT) (full text, mbox, link).


Merged 276 318 367 375 378 403 466 473 Request was from Mark Hindley <mark@hindley.org.uk> to 473-submit@bugs.devuan.org. (Fri, 22 May 2020 17:48:06 GMT) (full text, mbox, link).


Added tag(s) moreinfo. Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 03 Jun 2020 19:03:02 GMT) (full text, mbox, link).


Merged 276 318 367 375 378 403 466 473 480 Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 03 Jun 2020 19:03:02 GMT) (full text, mbox, link).


Merged 276 318 367 375 378 403 466 473 480 Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 03 Jun 2020 19:03:05 GMT) (full text, mbox, link).


Message #36 received at 480-close@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: Michaela Merz <mischmerz@googlemail.com>
Cc: control@bugs.devuan.org, 480-close@bugs.devuan.org
Subject: Re: bug#480: Firefox - no sound
Date: Wed, 3 Jun 2020 19:44:01 +0100
reassign 480 pulseaudio
forcemerge 276 480


On Wed, Jun 03, 2020 at 12:06:42PM -0500, Michaela Merz wrote:
>    > > [1] http://files.devuan.org/devuan_beowulf/Release_notes.txt > >
>    --00000000000000808705a7310ed4 Content-Type: text/html; charset="UTF-8"
>    Content-Transfer-Encoding: quoted-printable
> 
>    Mark:
>    Rats. I enabled autospawn in client.conf, but forgot about
> 00-disable-autospawn.conf
> 
> Confirming that firefox works with audio now. Sory to bother you :(

Thanks.

Closing

Mark

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Mon Aug 3 21:08:08 2020;